Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFOddFooter

    java.lang.Object
      org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter
          org.apache.poi.xssf.usermodel.XSSFOddFooter

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.Footer, org.apache.poi.ss.usermodel.HeaderFooter

    public class XSSFOddFooter

extends XSSFHeaderFooter
implements org.apache.poi.ss.usermodel.Footer

Odd page footer value. Corresponds to odd printed pages. Odd page(s) in the sheet may not be printed, for example, if the print area is specified to be a range such that it falls outside an odd page's scope.

Constructor Summary
`XSSFOddFooter(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)` Create an instance of XSSFOddFooter from the supplied XML bean

Method Summary
`java.lang.String` | `getText()` Get the content text representing the footer
`void` | `setText(java.lang.String text)` Set a text for the footer.

Methods inherited from class org.apache.poi.xssf.usermodel.extensions.XSSFHeaderFooter
`areFieldsStripped, getCenter, getHeaderFooter, getLeft, getRight, getValue, setAreFieldsStripped, setCenter, setLeft, setRight, stripFields`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.Footer
`getCenter, getLeft, getRight, setCenter, setLeft, setRight`

Constructor Detail

### XSSFOddFooter

    public XSSFOddFooter(org.openxmlformats.schemas.spreadsheetml.x2006.main.CTHeaderFooter headerFooter)

  Create an instance of XSSFOddFooter from the supplied XML bean

  Parameters:
    `headerFooter` -
  See Also:
    `XSSFSheet.getOddFooter()`

Method Detail

### getText

    public java.lang.String getText()

  Get the content text representing the footer

  Specified by:
    `getText` in class `XSSFHeaderFooter`
  Returns:
    text

### setText

    public void setText(java.lang.String text)

  Set a text for the footer. If null unset the value.

  Parameters:
    `text` - - a string representing the footer.
  See Also:
    `to see how to create a string with Header/Footer Formatting Syntax`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD